%global composer_vendor  phpseclib
%global composer_project phpseclib

%global github_owner     phpseclib
%global github_name      phpseclib

Name:       php-%{composer_vendor}
Version:    2.0
Release:    0.1.20150702git483c253%{?dist}
Summary:    PHP Secure Communications Library

Group:      System Environment/Libraries
License:    MIT
URL:        https://github.com/%{github_owner}/%{github_name}
Source0:    https://github.com/%{github_owner}/%{github_name}/archive/%{version}.tar.gz
BuildArch:  noarch

Provides:   php-composer(%{composer_vendor}/%{composer_project}) = %{version}

Requires:   php >= 5.3.3
Requires:   php-openssl

# these two are suggested in composer.json   as they speed up the crypto
Requires:   php-mcrypt
Requires:   php-gmp

Obsoletes:  php-phpseclib-net-sftp < 2.0
Obsoletes:  php-phpseclib-net-ssh2 < 2.0
Obsoletes:  php-phpseclib-crypt-aes < 2.0
Obsoletes:  php-phpseclib-crypt-des < 2.0
Obsoletes:  php-phpseclib-crypt-rc4 < 2.0
Obsoletes:  php-phpseclib-crypt-rsa < 2.0
Obsoletes:  php-phpseclib-file-asn1 < 2.0
Obsoletes:  php-phpseclib-crypt-base < 2.0
Obsoletes:  php-phpseclib-crypt-hash < 2.0
Obsoletes:  php-phpseclib-crypt-random < 2.0
Obsoletes:  php-phpseclib-crypt-twofish < 2.0
Obsoletes:  php-phpseclib-crypt-blowfish < 2.0
Obsoletes:  php-phpseclib-crypt-rijndael < 2.0
Obsoletes:  php-phpseclib-crypt-tripledes < 2.0
Obsoletes:  php-phpseclib-math-biginteger < 2.0

%description
MIT-licensed pure-PHP implementations of an arbitrary-precision integer 
arithmetic library, fully PKCS#1 (v2.1) compliant RSA, DES, 3DES, RC4, 
Rijndael, AES, Blowfish, Twofish, SSH-1, SSH-2, SFTP, and X.509

%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php
cp -pr %{composer_vendor} ${RPM_BUILD_ROOT}%{_datadir}/php

%files
%defattr(-,root,root,-)
%dir %{_datadir}/php/%{composer_vendor}
%{_datadir}/php/%{composer_vendor}
%doc AUTHORS CHANGELOG.md composer.json LICENSE README.md

%changelog
* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.1.20150702git483c253
- initial package
